Subject: Re: 31.0.50; Error when installing/activating packages due to emacs-version mismatch

From: Stefan Kangas <[email-masked]>
Date: Fri, 7 Mar 2025 16:49:37 +0000

Tassilo Horn <[email-masked]> writes:

> When I start emacs with the current master (2dea3a0d34859852d3577), I
> get errors like this one when activating, installing, or updating
> packages.  Obviously, I'm using emacs 31 so I shouldn't get errors that
> a package requires (at least) emacs 27.1.
>
> --8<---------------cut here---------------start------------->8---
> Debugger entered--Lisp error: (error "This package requires Emacs
> version 27.1")

I unfortunately can't seem to reproduce this in some casual testing.

You wouldn't happen to have a convenient recipe starting from emacs -Q,
do you?  :-)